layui.extend({
    common    :   'js/common',
}).use(['common','table', 'jquery','layer','form','laydate'], function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //  引入表格
    var table = layui.table;
    //  引入表单
    var form = layui.form;

    var laydate = layui.laydate;

    var layuiTable = null;

    // 查询框表单
    var $node = {
        type : $('#feedbackType'),
        beginDate : $('#begin_date'),
        endDate : $('#end_date'),
        createDate : $('#create_date'),
        handleDate : $('#handle_date')
    };

    //  页面数据
    var pageData = {
        myOrgId     :   parseInt($('#org_id').val())

    };

    //tableId集合
    var table_data = [];

    //  重新加载表格
    var reloadTable = function(obj){
        //重新加载表格
        layuiTable.reload({
            where:{
                type : $node.type.val(),
                beginDate : $node.beginDate.val(),
                endDate : $node.endDate.val(),
                //排序
                sortField   :   obj?obj.field:'',
                sortOrder   :   obj?obj.type:'',
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            },
            initSort:obj
        });
    };

    //日期时间范围
    laydate.render({
        elem: '#create_date'
        ,type: 'date'
        ,range: true
        ,min: '1990-1-1 00:00:00'
        ,max: 0 //最大日期为当天
        ,done: function(value, date, endDate){
            var dateArray = value.split(" - ");
            $("#begin_date").val(dateArray[0] + ' 00:00:00');
            $("#end_date").val(dateArray[1] + ' 23:59:59');
        }
    });
    //日期时间
    laydate.render({
        elem: '#day'
        ,type: 'date'
        ,format: 'yyyy-MM-dd'
        ,min:'2021-01-23 00:00:00'
        ,max:0
    });

    //  初始化
    (function(){
        //  初始化表格
        layuiTable = common.layuiTable.render(layui.table,{
            elem: '#table_id'
            ,url: '/estate/userFeedback/pagingQuery'
            ,cellMinWidth: 80 //全局定义常规单元格的最小宽度，
            , cols: [[
                { field: 'type',title: '反馈类型',templet:'#type',align: 'center',sort:true}
                ,{ field: 'question', title: '详细问题和意见',align: 'center'}
                ,{ field: 'createDate', title: '反馈时间',align:'center',sort:true }
                ,{ field: 'memberName', title: '反馈用户',align:'center' }
                ,{ field: 'handleDate', title: '处理时间',align:'center' }
                ,{ field: 'handleRemark', title: '处理意见',align:'center' }
                ,{ title: '操作',align: 'center', toolbar: '#table-useradmin-webuser',width:180 }
            ]]
            //  开启分页功能
            , page: true
            ,done:function(res,curr,count){}
        });
    })();

    //排序
    layui.table.on('sort(table_event)',function (obj) {
        reloadTable(obj);
    });

    //监听行工具事件 lay-filter="table_event"
    table.on('tool(table_event)', function(obj){
        var data = obj.data; //获得当前行数据
        switch (obj.event) {
            case 'detail' :
                common.openDefaultIframe({
                    title: '反馈详细信息',
                    content:  '/estate/userFeedback/detail/'+data.id
                });
                break;
            case 'handle' :
                common.openDefaultIframe({
                    title: '反馈处理',
                    content:  '/estate/userFeedback/handle/'+data.id
                });
                break;
            default :
                break;
        }
    });

    //监听搜索
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置查询
    form.on('submit(reset)', function(){
        $node.type.val('');
        $node.beginDate.val('');
        $node.endDate.val('');
        $node.createDate.val('');
        form.render('select');
        reloadTable();
    });

});